Bug 885492 - user-specified lvm names are not validated in custom storage
user-specified lvm names are not validated in custom storage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker abrt_hash...
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-12-09 15:38 EST by Reinhard
Modified: 2014-02-05 17:54 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (409.86 KB, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: product (6 bytes, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: type (9 bytes, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: ifcfg.log (2.06 KB, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: storage.log (189.40 KB, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: version (7 bytes, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: environ (775 bytes, text/plain)
2012-12-09 15:38 EST, Reinhard
no flags Details
File: executable (14 bytes, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: anaconda.log (16.92 KB, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: syslog (127.90 KB, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: packaging.log (4.78 KB, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: cmdline_file (103 bytes, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: release (24 bytes, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
File: program.log (27.61 KB, text/plain)
2012-12-09 15:39 EST, Reinhard
no flags Details
screen shot of redraw problem (96.41 KB, image/png)
2012-12-23 18:24 EST, Chris Murphy
no flags Details
anaconda.log (68.16 KB, text/plain)
2012-12-23 18:27 EST, Chris Murphy
no flags Details
program.log (30.85 KB, text/plain)
2012-12-23 18:27 EST, Chris Murphy
no flags Details
storage.log (124.73 KB, text/plain)
2012-12-23 18:28 EST, Chris Murphy
no flags Details
anaconda-tb-FkDqDw (489.40 KB, text/plain)
2012-12-23 18:35 EST, Chris Murphy
no flags Details

  None (edit)
Description Reinhard 2012-12-09 15:38:35 EST
Description of problem:
Directly after starting lvm partitioning

Version-Release number of selected component:
anaconda-18.29.2

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 178, in pvcreate
:    raise LVMError("pvcreate failed for %s: %s" % (device, msg))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/lvmpv.py", line 113, in create
:    lvm.pvcreate(self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 439, in execute
:    options=self.device.formatArgs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
:    action.execute()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 336, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
:    storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 113, in doInstall
:    turnOnFilesystems(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:LVMError: pvcreate failed for /dev/sda3: running lvm pvcreate --config  devices { filter=["r|/sda1$|","r|/sda2$|","r|/sda3$|","r|/sda4$|","r|/sda5$|","r|/sda6$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/sdb1$|","r|/sdb2$|","r|/sdb$|"] }  --dataalignment 1024k /dev/sda3 failed
Comment 1 Reinhard 2012-12-09 15:38:43 EST
Created attachment 660409 [details]
File: anaconda-tb
Comment 2 Reinhard 2012-12-09 15:38:45 EST
Created attachment 660410 [details]
File: product
Comment 3 Reinhard 2012-12-09 15:38:47 EST
Created attachment 660411 [details]
File: type
Comment 4 Reinhard 2012-12-09 15:38:49 EST
Created attachment 660412 [details]
File: ifcfg.log
Comment 5 Reinhard 2012-12-09 15:38:53 EST
Created attachment 660413 [details]
File: storage.log
Comment 6 Reinhard 2012-12-09 15:38:55 EST
Created attachment 660414 [details]
File: version
Comment 7 Reinhard 2012-12-09 15:38:57 EST
Created attachment 660415 [details]
File: environ
Comment 8 Reinhard 2012-12-09 15:39:00 EST
Created attachment 660416 [details]
File: executable
Comment 9 Reinhard 2012-12-09 15:39:02 EST
Created attachment 660417 [details]
File: anaconda.log
Comment 10 Reinhard 2012-12-09 15:39:05 EST
Created attachment 660418 [details]
File: syslog
Comment 11 Reinhard 2012-12-09 15:39:07 EST
Created attachment 660419 [details]
File: hashmarkername
Comment 12 Reinhard 2012-12-09 15:39:09 EST
Created attachment 660420 [details]
File: packaging.log
Comment 13 Reinhard 2012-12-09 15:39:11 EST
Created attachment 660421 [details]
File: cmdline_file
Comment 14 Reinhard 2012-12-09 15:39:14 EST
Created attachment 660422 [details]
File: release
Comment 15 Reinhard 2012-12-09 15:39:16 EST
Created attachment 660423 [details]
File: program.log
Comment 16 Chris Murphy 2012-12-12 17:03:45 EST
1. Previously used virtual disk with first 2M zero'd with dd. Single disk install.
2. Set no bootloader.
3. Autopart path.
Crash.


Package: anaconda-18.37.2-1.fc18.x86_64
OS Release: Fedora release 18
Comment 17 Chris Murphy 2012-12-12 17:10:44 EST
Not reproducible after zeroing first 2M again, rebooting using the same VM, virtual disk, and anaconda update method.
Comment 18 Steve Tyler 2012-12-21 00:24:24 EST
Enter a long volume group name (press "x" for about 10 seconds).

Package: anaconda-18.37.6-1.fc18.x86_64
OS Release: Fedora release 18
Comment 19 Chris Murphy 2012-12-23 18:24:58 EST
Created attachment 668215 [details]
screen shot of redraw problem

Two bugs in one: Confirm crash. But also get a weird redraw problem where I don't have: Desired Capacity button, Encrypt checkbox, Reformat checkbox, or a Finish Partitioning button, for any mount point that uses the VG with very long name. Other mount points are unaffected, and the only way to confirm the layout.

Ha, in fact the redraw bug affects abrt too, because I have no UI on the right to even login to bugzilla.
Comment 20 Chris Murphy 2012-12-23 18:27:17 EST
Created attachment 668216 [details]
anaconda.log
Comment 21 Chris Murphy 2012-12-23 18:27:44 EST
Created attachment 668217 [details]
program.log
Comment 22 Chris Murphy 2012-12-23 18:28:31 EST
Created attachment 668218 [details]
storage.log
Comment 23 Chris Murphy 2012-12-23 18:32:40 EST
Comments 19-22 apply to anaconda-18.37.8-1 (smoke12 DVD). Technically this is a beta blocker #10, installer should reject invalid operations without crashing. Proposing.

Also, I'm not certain the OP bug and the crash Steve and I are reproducing with long named VGs is actually the same thing, hence including logs.
Comment 24 Chris Murphy 2012-12-23 18:35:35 EST
Created attachment 668219 [details]
anaconda-tb-FkDqDw

Forgot the tb file. This traceback looks different then the OP's.
Comment 25 Steve Tyler 2012-12-23 22:53:25 EST
Thanks for posting the screenshot. I believe that is just a very wide window. If you press the windows key, the Gnome3 desktop will show it.

If you get this exception during installation:
DeviceCreateError: ('vgcreate failed for xxxxxx ....
that is probably this bug, which concerns name validation:
Bug 883689 - [vgcreate] New volume group name "ñ" is invalid

Tested with:
anaconda-18.37.8-1.fc18 (updated)
$ qemu-kvm -m 2048 -hda f18-test-3.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 26 Steve Tyler 2012-12-23 23:34:37 EST
(In reply to comment #19)
...
> Ha, in fact the redraw bug affects abrt too, because I have no UI on the
> right to even login to bugzilla.

The libreport window is very wide. IIRC, I managed to submit the report in Comment 18 by repeatedly dragging the window to the left until the right side was visible.
Comment 27 Adam Williamson 2013-01-02 13:21:28 EST
Discussed at 2013-01-02 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2013-01-02/f18final-blocker-review-8.2013-01-02-17.03.log.txt . We agreed that the bug being reproduced by Chris and Steve seems different from the original bug, so it may be worth splitting it into a new report.

We evaluated the Chris/Steve bug, not the Reinhard bug, as it's the Chris/Steve bug that was proposed. It is rejected as a blocker - technically it violates the criterion, but we consider the impact too small to really constitute a blocker bug, we just don't see a valid use case for really long LV names and we don't think it's something lots of people are likely to hit at all. It's accepted as NTH as it is an installer crash that shouldn't happen.
Comment 28 Alasdair Kergon 2013-01-02 16:42:37 EST
I've not dug through the logs, but if you take the error message in the subject at face value:

LVMError: pvcreate failed for /dev/sda3: running lvm pvcreate --config  devices { filter=["r|/sda1$|","r|/sda2$|","r|/sda3$|","r|/sda4$|","r|/sda5$|","r|/sda6$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/sdb1$|","r|/sdb2$|","...

It says pvcreate failed for /dev/sda3 - with a filter that told pvcreate NOT to use sda3 during the command!

In other words, if LVM is behaving correctly, you should get the result:
  Device /dev/sda3 not found (or ignored by filtering).
Comment 29 Alasdair Kergon 2013-01-02 16:52:15 EST
Yes - I've found this buried in one of the attachments:

21:35:44,914 INFO program: Running... lvm pvcreate --config  devices { filter=["r|/sda1$|","r|/sda2$|","r|/sda3$|","r|/sda4$|","r|/sda5$|","r|/sda6$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/sdb1$|","r|/sdb2$|","r|/sdb$|"] }  --dataalignment 1024k /dev/sda3
21:35:45,284 ERR program:   Device /dev/sda3 not found (or ignored by filtering).


So it's an internal logic error in anaconda.

anaconda is saying to lvm: "Please format /dev/sda3 without accessing any device with a name ending in /sda3." and lvm is correctly saying "That's impossible."
Comment 30 David Lehman 2013-01-03 12:36:33 EST
The original bug (from which the log entries referenced in comments 28 and 29 came) should be fixed in anaconda-18.37.7-1, if not earlier, and has nothing to do with vg/lv names.

Validation/correction of vg/lv names only occurs in the "create new device" path as of now -- not the "rename device" path.
Comment 31 Steve Tyler 2013-01-03 13:13:31 EST
For the record, there is also this bug for an LVM enhancement:
Bug 883689 - RFE: export a Python name-validation function ([vgcreate] New volume group name "ñ" is invalid)
Comment 32 Clyde E. Kunkel 2013-01-03 20:59:57 EST
Using 4 vm disks that had been used in a previous installation attempt.  The VDs were originally raid 10. Used custom partitioning and deleted all of the disks to reclaim all space.  Created /, /home and swap as LVs and /boot as standard.  Error occured while entering root pswd.

Package: anaconda-18.37.8
OS Release: Fedora release 18-TC4
Comment 33 Steve Tyler 2013-01-03 21:35:42 EST
Clyde: Could you attach the /tmp/anaconda-tb* log file? You were running 18.37.8, which is considerably newer than the 18.29.2 version Reinhard was running. In Comment 30, Dave says the original bug was fixed, so you may have encountered a new variant.
Comment 34 Clyde E. Kunkel 2013-01-04 11:24:54 EST
Ahhhh, sorry.  Did not keep the logs since reporting the error said it was a duplicate and the reporting package doesn't keep the logs if a dup.

To explain a little:  I have a VM with 4 VDs, each a partition on a single drive.  I use the same setup over and over.  I was experimenting with how to create a raid 10 PV using the current installer (can't be done as far as I can tell) and then decided to try TC4 straight up.  Hit this bz in spite of reclaiming all space.  Retried and the installer reported a large other marked as btrfs fs.  Deleted it, created /, /home, swap and /boot and installation went smoothly after that.

I have been burned several times now with dup bzs and requests for the logs.  I could keep them, but do so many varied testing scenarios it is a pain keeping things straight.  It would help a lot if the reporting package kept logs either on the dup bz or offered to copy them to a user specified location locally or remotely.

I guess I'll make the effort to do something locally.

Sorry I can't accommodate your request.
Comment 35 Steve Tyler 2013-01-04 15:22:17 EST
OK, thanks. The reporting component is libreport:
https://bugzilla.redhat.com/buglist.cgi?component=libreport&product=Fedora
Comment 36 Adam Williamson 2013-01-04 16:14:31 EST
ideally what we need is to make libreport better at dupe detection for anaconda somehow. this may require more fine-tuning in libreport or in the anaconda tbs themselves. but we should handle that as a separate report.
Comment 37 Reartes Guillermo 2013-01-07 18:15:13 EST
i entered and leaved STORAGE: INSTALLATION DESTINATION, this made the MAIN HUB
unlock the 'begin install' button (bug 888293)

i started installing and it crashed.

the guest has 1 disk with solaris and 3 data disks part of a zpool.

Note: bug 869482, two or more zpool disks are 'free space' for anaconda


Package: anaconda-18.37.10
OS Release: Fedora release 18
Comment 38 Paul Fee 2013-02-10 08:32:25 EST
Before installing Fedora 18, I wiped the hard disk (/dev/sda) partition table.

$ dd if=/dev/zero of=/dev/sda

During F18 install, I adjusted disk partition sizes.  I removed the home partition and allocated all space to root.  LVM was used.  /boot would be placed on /dev/sda1.  /dev/sda2 would be for LVM.

pvcreate failed to setup the LVM parition.


Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 39 Pavel Zhukov 2013-03-05 13:26:47 EST
Installation on clean VM

Package: anaconda-18.37.11
OS Release: Fedora release 18
Comment 40 Fedora End Of Life 2013-12-21 10:14:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 41 Fedora End Of Life 2014-02-05 17:54:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.